Get Exception Stacktrace
curl --request GET \
--url http://{host}:{port}/{contextPath}/job/{id}/stacktrace \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/job/{id}/stacktrace"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/job/{id}/stacktrace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"java.lang.RuntimeException: A exception message!\n at org.camunda.bpm.pa.service.FailingDelegate.execute(FailingDelegate.java:10)\n at org.camunda.bpm.engine.impl.delegate.JavaDelegateInvocation.invoke(JavaDelegateInvocation.java:34)\n at org.camunda.bpm.engine.impl.delegate.DelegateInvocation.proceed(DelegateInvocation.java:37)\n ..."{
"type": "<string>",
"message": "<string>",
"code": 123
}Job
获取异常堆栈
Retrieves the exception stacktrace corresponding to the passed job id.
GET
/
job
/
{id}
/
stacktrace
Get Exception Stacktrace
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the job to get the exception stacktrace for.
Response
Request successful.
Returns the stacktrace of the exception for the job with the given ID.
⌘I